/*! © 2026 Yahoo, Inc. UDS v0.0.0-development */
"use client";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
require("../../../_virtual/_rolldown/runtime.cjs");
let react = require("react");
//#region src/components/client/Modal/ModalContext.tsx
const ModalContext = (0, react.createContext)(null);
const useInternalModalContext = () => {
	const context = (0, react.useContext)(ModalContext);
	if (!context) throw new Error("useInternalModalContext must be used within a Modal context provider");
	return context;
};
//#endregion
exports.ModalContext = ModalContext;
exports.useInternalModalContext = useInternalModalContext;
